trending: Get Trending Coins

API: coingecko.com:coingecko-api
Endpoint: /search/trending
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 136ms

Description

Get the top 7 trending cryptocurrencies on CoinGecko in the last 24 hours based on search volume and user activity. Useful for discovering what's currently popular in the crypto community. Each trending coin includes its market cap rank, price, and a thumbnail.

From spec: Get the top 7 trending coins on CoinGecko in the last 24 hours

Usage Tips

- Updated periodically based on search activity - Returns 7 coins regardless of market cap - Includes trending score but not full market data - Combine with /coins/{id} to get full details for trending coins - Good for 'trending now' widgets and discovery features

Examples (1)

Get trending coins curl

Get the top 7 trending cryptocurrencies in the last 24 hours

curl 'https://api.coingecko.com/api/v3/search/trending'
import requests

resp = requests.get("https://api.coingecko.com/api/v3/search/trending")
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("search/trending")

for item in result:
    print(item)
const resp = await fetch("https://api.coingecko.com/api/v3/search/trending");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:11:38.610520 200 136ms
2026-04-15 03:14:41.679933 200 163ms
2026-04-14 03:03:14.242958 200 131ms
2026-04-12 15:33:19.469506 200 146ms
2026-04-10 03:00:20.257985 200 62ms
2026-04-09 01:49:12.501345 200 128ms
2026-04-05 19:41:57.025572 200 228ms
2026-04-05 01:18:43.483971 200 218ms
2026-04-04 02:30:03.312025 200 121ms
2026-04-03 12:12:59.043461 200 138ms
2026-03-30 03:08:26.336385 200 129ms
2026-03-29 13:21:19.123176 200 143ms
2026-03-23 09:43:12.323780 200 81ms